Loading...
Searching...
No Matches
FVarLevel::ETag Struct Reference

`#include <fvarLevel.h>`

## Public Types

typedef unsigned char | ETagSize

## Public Member Functions

| ETag ()
void | clear ()
Level::ETag | combineWithLevelETag (Level::ETag) const

## Public Attributes

ETagSize | _mismatch: 1
ETagSize | _disctsV0: 1
ETagSize | _disctsV1: 1
ETagSize | _linear: 1

## Detailed Description

Definition at line 87 of file fvarLevel.h.

## Member Typedef Documentation

## ETagSize

typedef unsigned char ETagSize

Definition at line 92 of file fvarLevel.h.

## Constructor & Destructor Documentation

## ETag()

ETag | ( |  | ) |

inline

Definition at line 88 of file fvarLevel.h.

## Member Function Documentation

## clear()

void clear | ( |  | ) |

inline

Definition at line 90 of file fvarLevel.h.

## combineWithLevelETag()

Level::ETag combineWithLevelETag | ( | Level::ETag | levelTag | ) | const

inline

Definition at line 388 of file fvarLevel.h.

## Member Data Documentation

## _disctsV0

ETagSize _disctsV0

Definition at line 95 of file fvarLevel.h.

## _disctsV1

ETagSize _disctsV1

Definition at line 96 of file fvarLevel.h.

## _linear

ETagSize _linear

Definition at line 97 of file fvarLevel.h.

## _mismatch

ETagSize _mismatch

Definition at line 94 of file fvarLevel.h.

The documentation for this struct was generated from the following file:

- opensubdiv/vtr/fvarLevel.h